## PkEulaRequired PkEulaRequired — EulaRequired object |

## Functions

PkEulaRequired * | pk_eula_required_new ()

## Properties

gchar * | eula-id | Read / Write
gchar * | license-agreement | Read / Write
gchar * | package-id | Read / Write
gchar * | vendor-name | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkEulaRequired

## Description

This GObject represents a eula_required from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_eula_required_new ()

    PkEulaRequired *
    pk_eula_required_new (void);

#### Returns

a new PkEulaRequired object.

Since: 0.5.4

## Types and Values

## Property Details

### The `“eula-id”` property

      “eula-id”                  gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“license-agreement”` property

      “license-agreement”        gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“package-id”` property

      “package-id”               gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“vendor-name”` property

      “vendor-name”              gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4